%define	name	monster-masher
%define version 1.8.1
%define release %mkrel 5

Summary:	Clean caves by mashing monsters with stone
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPLv2+
Group:		Games/Arcade
URL:		http://www.cs.auc.dk/~olau/monster-masher/
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

Source:		http://www.cs.auc.dk/~olau/monster-masher/source/%{name}-%{version}.tar.bz2
Patch: monster-masher-1.8-desktopentry.patch
# add handler to close the about dialog (bug #43019)
Patch1: monster-masher-1.8-about-dialog.patch
BuildRequires:	gconfmm2.6-devel >= 2.0.1
BuildRequires:	libgnomeuimm2.6-devel
BuildRequires:	esound-devel
BuildRequires:	imagemagick
BuildRequires:	intltool

%description
Monster Masher is an action game for the GNOME desktop environment.
The basic idea is that you, as levitation worker gnome, has to clean
the caves for monsters that want to roll over you. You do the cleaning
by mashing the monsters with stone blocks.

%prep
%setup -q
%patch -p1
%patch1 -p1

%build
%configure2_5x --bindir=%{_gamesbindir}
%make LIBS=-lesd

%install
rm -rf %{buildroot}
GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std

# menu entry

# icons
mkdir -p %{buildroot}%{_iconsdir} %{buildroot}%{_miconsdir}
install -D -m 0644      monster-masher.png %{buildroot}%{_liconsdir}/monster-masher.png
convert -geometry 32x32 monster-masher.png %{buildroot}%{_iconsdir}/monster-masher.png
convert -geometry 16x16 monster-masher.png %{buildroot}%{_miconsdir}/monster-masher.png

%{find_lang} %{name}

%if %mdkversion < 200900
%post
%update_menus
%post_install_gconf_schemas monster-masher
%endif

%preun
%preun_uninstall_gconf_schemas monster-masher

%if %mdkversion < 200900
%postun
%clean_menus
%endif

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_gamesbindir}/*
%{_datadir}/applications/monster-masher.desktop
%{_datadir}/pixmaps/*
%{_datadir}/%{name}
%{_sysconfdir}/gconf/schemas/*.schemas
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png


%changelog
* Mon May 23 2011 Funda Wang <fwang@mandriva.org> 1.8.1-5mdv2011.0
+ Revision: 677823
- rebuild to add gconftool as req

* Wed Sep 15 2010 Götz Waschk <waschk@mandriva.org> 1.8.1-4mdv2011.0
+ Revision: 578457
- fix build

* Mon Sep 14 2009 Thierry Vignaud <tv@mandriva.org> 1.8.1-3mdv2010.0
+ Revision: 440090
- rebuild

* Wed Apr 01 2009 Götz Waschk <waschk@mandriva.org> 1.8.1-2mdv2009.1
+ Revision: 363332
- fix package group

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

* Mon Nov 10 2008 Götz Waschk <waschk@mandriva.org> 1.8.1-1mdv2009.1
+ Revision: 301761
- fix build deps
- new version

* Wed Sep 03 2008 Götz Waschk <waschk@mandriva.org> 1.8-6mdv2009.0
+ Revision: 279803
- fix about dialog (bug #43019)
- update license

* Tue Jul 29 2008 Thierry Vignaud <tv@mandriva.org> 1.8-5mdv2009.0
+ Revision: 252761
- rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas
    - use %%post_install_gconf_schemas/%%preun_uninstall_gconf_schemas

* Fri Jan 11 2008 Thierry Vignaud <tv@mandriva.org> 1.8-3mdv2008.1
+ Revision: 148271
- drop old menu
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Aug 24 2007 Götz Waschk <waschk@mandriva.org> 1.8-3mdv2008.0
+ Revision: 70814
- fix desktop entry
- Import monster-masher



* Wed Aug 23 2006 Gtz Waschk <waschk@mandriva.org> 1.8-3mdv2007.0
- rebuild for new cairomm

* Wed Aug  2 2006 Gtz Waschk <waschk@mandriva.org> 1.8-2mdv2007.0
- xdg menu

* Sun Oct  9 2005 Gtz Waschk <waschk@mandriva.org> 1.8-1mdk
- drop prereq
- New release 1.8

* Wed Jul  7 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.7-1mdk
- adapt buildrequires for gnomemm 2.6
- New release 1.7

* Tue Jun 15 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.6.1-2mdk
- rebuild for new g++

* Sat May 29 2004 Abel Cheung <deaddog@deaddog.org> 1.6.1-1mdk
- New version

* Fri Apr 23 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.5.2-1mdk
- 1.5.2

* Fri Jan  9 2004 Götz Waschk <waschk@linux-mandrake.com> 1.5-1mdk
- adapt the file list
- new version

* Thu Nov 06 2003 Abel Cheung <deaddog@deaddog.org> 1.4-1mdk
- 1.4

* Fri Oct 17 2003 Abel Cheung <deaddog@deaddog.org> 1.3-2mdk
- Rebuild against newer libgnomemm

* Wed Oct 01 2003 Abel Cheung <deaddog@deaddog.org> 1.3-1mdk
- 1.3
- Move binary to $gamesbindir

* Sun Sep 21 2003 Abel Cheung <deaddog@deaddog.org> 1.2-1mdk
- First Mandrake package
